********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** BILDUNGSAUFSTIEG                                                         ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************

* Bildungsaufstieg
* - Eltern haben keine Hochschulreife
* - Kind geht auf Gymnasium
gen bildauf=1 if schulform==6 & inlist(bilelt,1,2)
replace bildauf=0 if inrange(schulform,2,5) & inlist(bilelt,1,2)
lab var bildauf "Bildungsaufstieg"
lab def bildauf 1"Aufstieg" 0"kein Aufstieg"
lab val bildauf bildauf

* Variable für deskriptive Analysen
* - wie bildauf, zusätzlich Kategorie für Eltern mit Hochschulreife
recode bildauf (0=1 "kein Aufstieg") (1=2 "Aufstieg") (99=3 "Eltern mit Hochschulreife"), into(bildauf_d)
replace bildauf_d=3 if bilelt==3
lab var bildauf_d "Bildungsaufstieg (deskr.)"


exit
