********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** BILDUNG DER ELTERN                                                       ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************

*** Höchster Bildungsabschluss des befragten Elternteils ***
recode p731802 ///
      (-20 1 2 6=1 "kein/Haupt-/Sonderschulabschluss") ///
	  (3=2 "Mittlere Reife") ///
	  (4 5=3 "FH-Reife/Abitur") ///
	  (else=.) ///
	  , into(bilelt1)
	  
*** Höchster Bildungsabshluss des Partners des befragten Elternteils ***
recode p731852 ///
      (-20 1 2 6=1 "kein/Haupt-/Sonderschulabschluss") ///
	  (3=2 "Mittlere Reife") ///
	  (4 5=3 "FH-Reife/Abitur") ///
	  (else=.) ///
	  , into(bilelt2)

*** Angaben auf alle Zeilen ausweiten ***
bys ID_t: egen bilelt1_=max(bilelt1)
bys ID_t: egen bilelt2_=max(bilelt2)  

*** Höchster Bildungsabschluss im Elternhaus
egen bilelt=rowmax(bilelt1_ bilelt2_)
lab var bilelt "Höchster Schulabschluss im Elternhaus"
lab val bilelt bilelt1

*** Querschnittsdatensatz erstellen ***
bys ID_t: gen n=_n
keep if n==1

* Missings löschen
keep if bilelt!=.

exit


