********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** SCHULFORM IN WELLE 7                                                     ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************

*** Schulform in Welle 7 (2017) ************************************************
keep if wave==7

* Schulform aus letztem Spell wird herangezogen
bys ID_t: egen spellmax=max(spell)
keep if spellmax==spell  

*** Schulbesuch in Deutschland *************************************************
keep if p723020==1

*** Schulformen rekodieren *****************************************************

* Waldorfschule, Orientierungsstufe und "andere Schule" werden auf Missing gesetzt
recode p723081 ///
      (5 17 28=0 "Waldorf, Orient, andere") ///
      (1=1 "Grundschule") ///
	  (4=2 "Sonderschule") ///
	  (10 25=3 "Hauptschule") ///
	  (18 19=4 "Realschule") ///
	  (2 8 11 12 13 14 15 16 20 21 23 24=5 "Integrierte Schule") ///
	  (9=6 "Gymnasium") ///
	  (else=.) ///
	  , into(schulform)
	  
* Schulzweige werden Schulformen zugeordnet
replace schulform=3 if p723101==1
replace schulform=4 if p723101==2
replace schulform=6 if p723101==3

* Missings löschen
keep if schulform!=.

exit
